Bug 536706 - Publican doesn't build EPUB format properly
Publican doesn't build EPUB format properly
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 20:14 EST by Ruediger Landmann
Modified: 2010-11-23 23:18 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 23:14:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2009-11-10 20:14:14 EST
Description of problem:

The files that Publican produces for EPUB are badly named, and one of them is missing.

Version-Release number of selected component (if applicable):

Publican 1.1

How reproducible:

100%

Steps to Reproduce:

1. publican create --name Test
2. cd Test
3. publican build --format epub --langs en-US
  
Actual results:

Publican outputs the results into the tmp/epub directory. All the filenames have an extra "." at their start: eg. .ch01.html

Also, the "mimetype" file that EPUB documents should have is missing from the root directory.

Expected results:

Filenames should not have a missing "."

It would also be nice if Publican could generate the mimetype file so that users would not have to remember to include this themselves every time.

It would be nicer still if Publican could zip the results up into a ready-made ebook. The format is just a .zip file, but renamed to .epub

Oh, and I want a pony.
Comment 1 Jeff Fearn 2009-11-10 20:21:37 EST
Changed epub.oebps.dir to'OEBPS/'
Created mimetype
Created tmp/$lang/$package-name.epub, zip containing all epub content.

e.g.

$ publican build --formats epub --langs en-US
Setting up en-US
        Processing file tmp/en-US/xml/Common_Content/Conventions.xml
        Processing file tmp/en-US/xml/Common_Content/Feedback.xml
        Processing file tmp/en-US/xml/Common_Content/Legal_Notice.xml
        Processing file tmp/en-US/xml_tmp/Author_Group.xml
        Processing file tmp/en-US/xml_tmp/Book_Info.xml
        Processing file tmp/en-US/xml_tmp/Chapter.xml
        Processing file tmp/en-US/xml_tmp/FOO.xml
        Processing file tmp/en-US/xml_tmp/Preface.xml
        Processing file tmp/en-US/xml_tmp/Revision_History.xml
Beginning work on en-US
        Starting epub
        Using XML::LibXSLT on /usr/share/publican/xsl/epub.xsl
Writing OEBPS/bk01-toc.html for book
Writing OEBPS/pr01s02.html for section
Writing OEBPS/pr01.html for preface
Writing OEBPS/ch01s02.html for section
Writing OEBPS/ch01.html for chapter
Writing OEBPS/apa.html for appendix
Writing OEBPS/ix01.html for index
Writing OEBPS/index.html for book
Writing OEBPS/toc.ncx
Writing OEBPS/content.opf
Writing META-INF/container.xml
Wrote epub archive: tmp/en-US/Documentation-FOO-0.1-en-US-0-0.epub
        Finished epub



$ unzip -l tmp/en-US/Documentation-FOO-0.1-en-US-0-0.epub
Archive:  tmp/en-US/Documentation-FOO-0.1-en-US-0-0.epub
  Length     Date   Time    Name
 --------    ----   ----    ----
        0  11-11-09 11:18   OEBPS/
        0  11-11-09 11:18   META-INF/
       20  11-11-09 11:18   mimetype
      663  11-11-09 11:18   OEBPS/ch01s02.html
     1110  11-11-09 11:18   OEBPS/apa.html
     2248  11-11-09 11:18   OEBPS/index.html
     3041  11-11-09 11:18   OEBPS/toc.ncx
      776  11-11-09 11:18   OEBPS/ch01.html
      628  11-11-09 11:18   OEBPS/pr01s02.html
     2136  11-11-09 11:18   OEBPS/content.opf
     1642  11-11-09 11:18   OEBPS/bk01-toc.html
    11195  11-11-09 11:18   OEBPS/pr01.html
      668  11-11-09 11:18   OEBPS/ix01.html
    19586  11-11-09 11:18   OEBPS/Common_Content/css/common.css
...
      268  11-11-09 11:18   META-INF/container.xml
 --------                   -------
   175403                   81 files
Comment 2 Fedora Update System 2009-12-07 21:14:40 EST
publican-1.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc12
Comment 3 Fedora Update System 2009-12-07 21:18:02 EST
publican-1.3-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc11
Comment 4 Fedora Update System 2009-12-09 23:13:39 EST
publican-1.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-12-09 23:26:30 EST
publican-1.3-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.